@import '../settings.scss';

code,
samp {
    background-color: var(--color-accent);
    border-radius: $border-radius;
    color: var(--color-text);
    display: inline-block;
    margin: 0 0.1rem;
    padding: 0 0.5rem;
}

details {
    margin: 1.3rem 0;

    summary {
        font-weight: bold;
        cursor: pointer;
    }
}


h1, h2, h3, h4, h5, h6 {
    line-height: var(--line-height);
}

mark {
    padding: 0.1rem;
}

ol li,
ul li {
    padding: 0.2rem 0;
}

p {
    margin: 0.75rem 0;
    padding: 0;
}

pre {
    margin: 1rem 0;
    max-width: var(--width-card-wide);
    padding: 1rem 0;

    code, samp {
        display: block;
        max-width: var(--width-card-wide);
        padding: 0.5rem 2rem;
        white-space: pre-wrap;
    }
}

small {
    color: var(--color-text-secondary);
}

sup {
    background-color: var(--color-secondary);
    border-radius: $border-radius;
    color: var(--color-bg);
    font-size: xx-small;
    font-weight: bold;
    margin: 0.2rem;
    padding: 0.2rem 0.3rem;
    position: relative;
    top: -2px;
}